
Ceph - Bug #8472

Using strncmp to compare sockaddr_in.

05/29/2014 02:30 PM - Kevin Cox

Status: Resolved % Done: 100%

Priority: Normal Spent time: 0.00 hour

Assignee: Dan Mick   

Category:    

Target version:    

Source: Community (user) Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

In /src/msg/msg_types.h strncmp is being used to compare sockaddr_in structures.  This means that it will stop at the first zero byte. 

Meaning for any valid sockaddr_in structure only the IPv4/IPv6ness will be compared on little endian and nothing on big endian.

https://github.com/ceph/ceph/blob/master/src/msg/msg_types.h#L30

Associated revisions

Revision cae085b6 - 05/29/2014 11:20 PM - Dan Mick 

msg_types.h: Don't use strncmp for comparing sockaddr_in.

Fixes: #8472

Signed-off-by: Dan Mick <dan.mick@inktank.com>

History

#1 - 05/29/2014 03:39 PM - Dan Mick

- Subject changed from Using ctrncmp to compare sockaddr_in. to Using strncmp to compare sockaddr_in.

- Status changed from New to 12

- Assignee set to Dan Mick

- Source changed from other to Community (user)

#2 - 05/29/2014 10:24 PM - Dan Mick

- Status changed from 12 to Fix Under Review

#3 - 05/30/2014 01:03 AM - Loïc Dachary

- Status changed from Fix Under Review to Resolved

- % Done changed from 0 to 100
